lighttpd2(8)

NAME
lighttpd - a fast, secure and flexible web server

SYNOPSIS
lighttpd2 [-nvh] -c configfile [-m moduledir] [--pid-file pidfile]

DESCRIPTION
lighttpd (pronounced 'lighty') is an advanced HTTP daemon that aims to be secure, fast, compliant and very flexible. It has been optimized for high performance. Its feature set includes, but is not limited to, FastCGI, CGI, basic and digest HTTP authentication, output compression, URL rewriting.

The angel is used to keep the worker running and for other tasks where root permissions are needed (opening network sockets, ...)

This manual page only lists the command line arguments. For details on how to configure lighttpd and its modules see the online documentation: http://redmine.lighttpd.net/projects/lighttpd2/wiki

OPTIONS
The following options are supported:

-c, --config  configfile
    Load configuration file configfile.

-m, --module-dir  moduledir
    Use moduledir as the directory that contains modules, instead of the default.

--pid-file  pidfile
    Location of the pid file (only valid in daemon mode).

-v, --version
    Show version and exit.

-h, --help, -?
    Show a brief help message and exit.

SEE ALSO
Online Documentation: http://redmine.lighttpd.net/projects/lighttpd2/wiki

lighttpd2-worker(8)

AUTHOR
Jan Kneschke <jan@kneschke.de>

Stefan Buehler <stbuehler@web.de>

Thomas Porzelt <tp@cryosphere.de>